Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class YourKitProfilerAgent

    java.lang.Object
      org.mule.module.management.agent.YourKitProfilerAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class YourKitProfilerAgent

extends Object
implements Agent, MuleContextAware

Field Summary
`protected static Log` | `logger` Logger used by this class
`protected MuleContext` | `muleContext`
`static String` | `PROFILER_OBJECT_NAME` MBean name to register under.

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`YourKitProfilerAgent()`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`List` | `getDependentAgents()`
`String` | `getDescription()` Should be a 1 line description of the agent
`String` | `getName()` Gets the name of the object
`void` | `initialise()` Method used to perform any initialisation work.
`void` | `registered()`
`void` | `setMuleContext(MuleContext context)`
`void` | `setName(String name)` Sets the name of the object
`void` | `start()`
`void` | `stop()`
`void` | `unregistered()`
`protected void` | `unregisterMBeansIfNecessary()` Unregister Profiler MBean if there are any left over the old deployment
`protected void` | `unregisterMeQuietly()` Quietly unregister ourselves.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROFILER_OBJECT_NAME

    public static final String PROFILER_OBJECT_NAME

  MBean name to register under.

  See Also:
    Constant Field Values

### logger

    protected static final Log logger

  Logger used by this class

### muleContext

    protected MuleContext muleContext

Constructor Detail

### YourKitProfilerAgent

    public YourKitProfilerAgent()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getName

    public String getName()

  Description copied from interface: `NamedObject`
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public void setName(String name)

  Description copied from interface: `NamedObject`
  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

### getDescription

    public String getDescription()

  Description copied from interface: `Agent`
  Should be a 1 line description of the agent

  Specified by:
    `getDescription` in interface `Agent`

### getDependentAgents

    public List getDependentAgents()

  Specified by:
    `getDependentAgents` in interface `Agent`
  Returns:
    List of Class objects (agent classes) that this Agent requires to be started before it can start itself. The implementation of this class may never return `null`.

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### unregisterMBeansIfNecessary

    protected void unregisterMBeansIfNecessary()
                                        throws MalformedObjectNameException,
                                               InstanceNotFoundException,
                                               MBeanRegistrationException

  Unregister Profiler MBean if there are any left over the old deployment

  Throws:
    `MalformedObjectNameException`
    `InstanceNotFoundException`
    `MBeanRegistrationException`

### unregisterMeQuietly

    protected void unregisterMeQuietly()

  Quietly unregister ourselves.

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `Stoppable`
  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### registered

    public void registered()

  Specified by:
    `registered` in interface `Agent`

### unregistered

    public void unregistered()

  Specified by:
    `unregistered` in interface `Agent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.